%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Log-Dispatch
%define modv   2.22


Summary:       Dispatches messages to one or more outputs
Name:          perl-%{modn}
Version:       %{modv}
Release:       2%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/%{modn}-%{modv}.tar.gz
Patch0:        %{modn}-2.22-syslog_search_path.patch
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Dave Rolsky <autarch@urth.org>
Provides:      perl(Log::Dispatch) = %{modv}
Provides:      perl(Log::Dispatch::ApacheLog) = 1.09
Provides:      perl(Log::Dispatch::Base) = 1.09
Provides:      perl(Log::Dispatch::Email) = 1.19
Provides:      perl(Log::Dispatch::Email::MIMELite) = 1.19
Provides:      perl(Log::Dispatch::Email::MailSend) = 1.19
Provides:      perl(Log::Dispatch::Email::MailSender) = 1.04
Provides:      perl(Log::Dispatch::Email::MailSendmail) = 1.20
Provides:      perl(Log::Dispatch::File) = 1.22
Provides:      perl(Log::Dispatch::Handle) = 1.16
Provides:      perl(Log::Dispatch::Output) = 1.26
Provides:      perl(Log::Dispatch::Screen) = 1.17
Provides:      perl(Log::Dispatch::Syslog) = 1.18
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::File)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Params::Validate) >= 0.15
BuildRequires: perl(Test::More)
BuildArch:     noarch


%description
This module manages a set of Log::Dispatch:: objects, allowing you to
add and remove output objects as desired.


%prep
%setup -q -n %{modn}-%{modv}
%patch0 -p1


%build
%{__perl} Build.PL \
	--installdirs vendor

./Build


%check
./Build test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

./Build pure_install \
	--destdir ${RPM_BUILD_ROOT}

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Wed Dec 03 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.22-2
- Fixed search path for Sys::Syslog

* Wed Nov 19 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.22-1
- Initial build
